> For the complete documentation index, see [llms.txt](https://docs.interactive.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interactive.ai/cli/iai_agents_port-forward.md).

# iai agents port-forward

Forward a local port to an agent

## Synopsis

Open a local TCP listener and tunnel traffic through the deployment operator to an agent running in the cluster.

The remote port defaults to the agent's configured port. Use --port to override. Use --local-port to choose the local listening port (defaults to --port when set, or an available OS-assigned port otherwise).

```
iai agents port-forward <agent_name> [flags]
```

## Examples

```
  iai agents port-forward my-agent
  iai agents port-forward my-agent --port 8080
  iai agents port-forward my-agent --port 8080 --local-port 9090
```

## Options

```
  -h, --help                  help for port-forward
      --local-port int        Local port to listen on (defaults to the remote port)
  -o, --organization string   Organization name
      --port int              Remote port on the agent (defaults to the agent's configured port)
  -p, --project string        Project name
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai agents](/cli/iai_agents.md) - Deploy AI agents with policies, routines, and tools


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.interactive.ai/cli/iai_agents_port-forward.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
